Problème : je souhaite installer apache-airflow à l'aide de la dernière version d'Apache-Airflow sur Github avec toutes les dépendances?

Comment puis-je faire cela en utilisant pip?

Est-il également sûr de l'utiliser dans l'environnement de production?

4
kaxil 24 nov. 2017 à 19:23

3 réponses

Meilleure réponse

J'ai trouvé cela plus utile:

pip install git+git://github.com/apache/incubator-airflow.git

Il installe la dernière version en développement.

2
kaxil 28 nov. 2017 à 20:28

J'utilise généralement ceci

$  pip install git+https://github.com/apache/incubator-airflow.git@v1-10-stable#egg=apache-airflow[async,crypto,celery,kubernetes,jdbc,password,postgres,s3,slack]

De cette façon, je suis en mesure d'installer des fonctionnalités de flux d'air supplémentaires.

4
nicor88 16 août 2018 à 09:34

Utilisation de pip:

$ pip install git+https://github.com/apache/incubator-airflow.git@v1-10-stable

Oui, c'est sûr.

Vous aurez besoin de gcc.

5
J_H 2 nov. 2018 à 16:30
47476987